Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26141

Description

Running a Python script from the Script editor throws an error:

"No script found - Seems there is no valid script in the file".

See attached png.

In this little script i just print a string to the Python Console, like:

print ("hello")

The string is logged to the console, but after that this error occurs.

Additional info:

After saving the script to the default script folder, 'Scripts' is disappeared from the Processing Toolbox

Also when Qgis is restarted this script is not loaded in the Processing Toolbox

History

#1 - 2018-02-27 03:26 PM - Salvatore Larosa

- Status changed from Open to Closed

- Category changed from PyQGIS Console to Unknown

Script framework has changed since 3.0. Now it uses the same syntax like algorithms.

Each script must be created subclassing the QgsProcessingAlgorithm class.

#2 - 2018-02-27 03:51 PM - Giovanni Manghi

- Resolution set to invalid

- Category changed from Unknown to Processing/Core

#3 - 2018-03-01 06:31 AM - Lance Evans

I'm also experiencing this issue. Whether I add a preexisting QgsProcessingAlgorithm class script or copying contents into a "New" script, nothing

happens, no feedback, and no new script showing up in the Processing Toolbox. Also, Scripts icon disappears as Albert indicated.

Files

Error_No_script_found.PNG 30 KB 2018-02-27 Albert van de Maat

2025-04-27 1/1

http://python.qgis.org/api/core/Processing/QgsProcessingAlgorithm.html?highlight=qgsprocessi#module-QgsProcessingAlgorithm

